### Class

# Snapd Alias

since: 1.8

#### Description [src]

    final class Snapd.Alias : GObject.Object
    {
      /* No available fields */
    }

`SnapdAlias` contains alias information for a Snap.

Aliases are used to provide alternative binary names for Snap apps.

Available since: 1.8

#### Ancestors

- GObject

#### Instance methods

###### snapd_alias_get_app

Get the app this is an alias for.

deprecated: 1.25 since: 1.8

###### snapd_alias_get_app_auto

Get the app this alias has been automatically set to (status is `SNAPD_ALIAS_STATUS_AUTO`). Can be overridden when status is `SNAPD_ALIAS_STATUS_MANUAL`.

since: 1.25

###### snapd_alias_get_app_manual

Get the app this alias has been manually set to (status is `SNAPD_ALIAS_STATUS_MANUAL`). This overrides the app from snapd_alias_get_app_auto().

since: 1.25

###### snapd_alias_get_command

Get the command this alias runs.

since: 1.25

###### snapd_alias_get_name

Get the name of this alias.

since: 1.8

###### snapd_alias_get_snap

Get the snap this alias is for.

since: 1.8

###### snapd_alias_get_status

Get the status of this alias.

since: 1.8

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Snapd.Alias:app-auto

No description available.

###### Snapd.Alias:app-manual

No description available.

###### Snapd.Alias:command

No description available.

###### Snapd.Alias:name

No description available.

###### Snapd.Alias:snap

No description available.

###### Snapd.Alias:status

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SnapdAliasClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.